/*
 *	File:		UVUAssist.h - MacApp 3.0b2PQR compatible version
 *
 *	Contains:	C++ header file for the V.U. Assistance Hook for MacApp applications, which is
 *	implemented in Object Pascal.
 *
 *	Written by:	Jim Schneider and Jeroen Schalk
 *
 *	Copyright:	 1991 by Apple Computer, Inc., all rights reserved.
 *
 *  Version: 1.0d10
 *
 *	Change History:
 *
 *		  9/10/91	JAS			indicate 3.0b2PQR compatibility, change version
 *			8/21/91	JAS			change version number
 *  		8/20/91	JAS			remove debugging code
 *			8/19/91	JAS			change case of of GridItemSupport to gridItemSupport
 *	 	  8/16/91 JAS		  change header for 3.0b2PQR
 *		  8/15/91	JAS		  change case of boolean, add GridItemSupport arg to IVUAssist
 *		  8/15/91	Jim		  add fGridItemSupport as new data member to TVUAssist
 *		  8/13/91	Jim		  stripped down to essentials, make TVUAssist subclass of TEvtHandler 
 *		  1/18/91	Jim		  modified Jeroen Schalk's header posted on Virtual User Discussion 
 *
 */


#ifndef __UVUASSIST__
#define __UVUASSIST__

#ifndef __UEVENTHANDLER__
#include <UEventHandler.h>
#endif

/* ================================================================== */
/* Class definitions */
	
class TVUAssist : public TEventHandler {
	
	private:
  	
		short 	fMoleRefNum;
		
		Boolean	fGridItemSupport; 
	
		public:
  	
		virtual pascal void IVUAssist(Boolean gridItemSupport);
		
		virtual pascal void OpenMoleDriver(void);
		
		virtual pascal void SuspendMole(void);
		
		virtual pascal void ResumeMole(void);
		
		virtual pascal void SetDebuggerHook(ProcPtr NewHook);
	
		virtual pascal short MoleAssist(short Select, Ptr Input, Ptr Output, short *OutputSize, 
			short IntResult);
		
	};


/* ================================================================== */
/* Variable definitions */

TVUAssist *gVUAssist;

#endif // of #ifndef __UVUASSIST__
